Portal Info

🚀 Overview

Send Livble information about a tenant by their external ID.
Below you can find more details about the endpoint, including the full API schema.

🔑 The Livble Token

This endpoint will return a token for the tenant.
This token can be used to initialize the Livble Widget and Experience.

📖 For More Information

For a detailed guide on structuring the request payload,
including explanations for specific fields and key considerations,
📖 Refer to this guide

🏁 Make Your First Request

To the right, you can try out the endpoint in Livble's sandbox API.

Follow the steps below to make your first request. ✨

1️⃣ Paste Your Sandbox API Key
The API key should be pasted into the "CREDENTIALS" section.
Also make sure the "Base URL" is set to Livble's sandbox API.

2️⃣ Select A Pre-Made Payload
To make it as easy as possible to get started,
we included pre-made payloads that work out of the box.
The payload can be selected from the "EXAMPLES" dropdown.

3️⃣ Send The Request
Click the "Try It!" button to make your first successful request! 🎉

🏖️ Notes for Sandbox

In Livble's sandbox API,
Parts of the system may be mocked for a tenant upon the first /portal_info request made for their external_id.

📖 Refer to this guide for more details.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Body Params

Portal information for a specific tenant

string
required

The tenant's first name.

string
required

The tenant's last name.

string

The tenant's phone number.

string
required

The tenant's email address.

integer
required

The tenant's balance with the portal in cents

date-time

Timestamp indicating when this information was last updated.
If not provided, defaults to the current time.

address
object
required

The address of the tenant's current unit

charges
array of objects
required

List of all the past and future charges of a tenant

Charges*
historical_payments
array of objects
required

List of historical payments made by the tenant. Offline payments should also be included here. For example a Check or Cash payment

Historical Payments*
rent_due_day
object

When is rent due every month?

  • If it's the same day every month → day_of_month = $DAY
  • If it's the last day of the month → alternative_structure = 'END_OF_MONTH'
  • Otherwise → alternative_structure = 'OTHER'

💡 Either day_of_month or alternative_structure can be passed, but not both.

integer

The base rent amount specified in the lease, in cents.

lease_info
object

Info about the tenant's lease

integer

How much is the autopay?

all_leases_info
array of objects

Current, past and future leases of the tenant

All Leases Info
string
enum

The tenant's product variant.

💡 Omit this field unless you know for sure you are supporting
a custom product variant with Livble.

Allowed:
metadata
object

Optional partner-provided metadata for settlement correlation. See https://docs.livble.com/docs/settlements for more information.

Responses

401

Unauthorized

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json